Messaging Queue - IBM MQ

IBM® Sterling B2B Integrator supports only IBM MQ (formerly IBM Websphere MQ) as a messaging queue.

A messaging queue is required for Sterling B2B Integrator if you are using adapter containers.

IBM MQ version 9.0.0.4 or higher is supported.

Important: You must install IBM MQ before you create the adapter containers. You must also set the properties for IBM MQ before you create the adapter containers.

Upgrading from previous versions

From v6.0 onwards, ActiveMQ is no longer bundled and installed with Sterling B2B Integrator. You must install and use IBM MQ as the messaging queue.

If your current setup has adapter containers, you must install IBM MQ and set the required properties for IBM MQ before you upgrade.

If you are using the bundled ActiveMQ for any messaging purpose, you must migrate to IBM MQ or configure external ActiveMQ.

External ActiveMQ is still supported for JMS adapter. If you are already using External ActiveMQ for JMS adapter, you can continue to use it.

For more information, see Considerations for upgrading from version 5.2.6.x.

Test Paragraph